<?php /*
Template Name: The Loop
Description: All posts run through the loop. Since this runs on every page, it is included as a stand-alone file.

*/ ?>
	<?php if (have_posts()) : ?>
		
		<?php while (have_posts()) : the_post(); ?>

<?php /* Assign your Asides category name in the options panel */ ?>

<?php if (use_asides() && !$single) { ?>
	<ul class="asides">
		<li id="p<?php the_ID(); ?>"><?php edit_post_link('<img src="'.get_bloginfo(template_directory).'/images/pencil.gif" alt="Edit Link" />','<span class="editlink" title="Edit Link">','</span>'); ?>
			<?php echo wptexturize($post->post_content); echo ' '; comments_popup_link('(0)', '(1)', '(%)')?> 
		</li>
	</ul>
<?php } else { /* Normal Entries */ ?>

			<div class="entry">
				<div class="date"><p><span class="month"><?php the_time('M') ?></span><span class="day"><?php the_time('j') ?></span></p></div>
			
				<h2 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a><?php edit_post_link('<img src="'.get_bloginfo(template_directory).'/images/pencil.gif" alt="Edit Link" />','<span class="editlink" title="Edit Link">','</span>'); ?></h2>		
				<?php if (function_exists ('UTW_ShowTagsForCurrentPost')) { ?>
				<div class="tags">Tagged with: <?php UTW_ShowTagsForCurrentPost("commalist", array('last'=>' and %taglink%', 'first'=>' %taglink%')) ?>.
				</div>
				<?php } else { ?>
				<div class="category">Categories: <?php the_category(', ') ?>
				</div>
				<?php } ?>
				
				<div class="post_comment">
				<?php comments_popup_link('0&nbsp;Responses', '1&nbsp;Response', '%&nbsp;Responses', 'commentslink', 'Closed'); ?>
				</div>

				<?php social_links(); ?>				
				<?php if ( $show_social_links == "yes" && is_single() ) { ?>
				<div class="servicelinks">
<a href="http://del.icio.us/post?url=<?php the_permalink(); ?>&title=<?php the_title(); ?>" title="Add to Del.icio.us"><img src="<?php bloginfo('template_directory') ?>/images/delicious.gif" alt="Del.icio.us" /></a>

<a href="http://digg.com/submit?phase=2&URL=<?php the_permalink(); ?>" title="Add to Digg"><img src="<?php bloginfo('template_directory') ?>/images/digg.gif" alt="Digg" /></a>

<a href="http://technorati.com/cosmos/search.html?url=<?php the_permalink() ?>" title="Search Technorati"><img src="<?php bloginfo('template_directory') ?>/images/technorati.gif" alt="Technorati Cosmos Link" /></a>

<a href="http://blinklist.com/index.php?Action=Blink/addblink.php&Description=<?php the_title(); ?>&URL=<?php the_permalink() ?>" title="Add to Blinklist"><img src="<?php bloginfo('template_directory') ?>/images/blinklist.gif" alt="Blinklist" /></a>

<a href="http://furl.net/storeIt.jsp?t=<?php the_title(); ?>&u=<?php the_permalink() ?>" title="Add to Furl"><img src="<?php bloginfo('template_directory') ?>/images/furl.gif" alt="Furl" /></a>

<a href="http://reddit.com/submit?url=<?php the_permalink(); ?>&title=<?php the_title(); ?>" title="Add to reddit"><img src="<?php bloginfo('template_directory') ?>/images/reddit.gif" alt="reddit" /></a>

<a href="http://myweb2.search.yahoo.com/myresults/bookmarklet?u=<?php the_permalink() ?>&=<?php the_title() ?>" title="Add to MyYahoo"><img src="<?php bloginfo('template_directory') ?>/images/yahoomyweb.gif" alt="yahoomyweb" /></a>

<a href="http://www.newsvine.com/_tools/seed&save?u=<?php the_permalink() ?>&h=<?php the_title() ?>" title="Add to Newsvine"><img src="<?php bloginfo('template_directory') ?>/images/newsvine.gif" alt="Newsvine" /></a>

</div>
				<?php } ?>

				<?php the_content('Continue with the rest of this entry...'); ?>

				<!--
				<?php trackback_rdf(); ?>
				-->
			</div>
<?php } ?>
		<?php endwhile; ?>
		<div class="navigation">
			<div class="alignleft"><?php posts_nav_link('','','&laquo; Previous Entries') ?></div>
			<div class="alignright"><?php posts_nav_link('','Next Entries &raquo;','') ?></div>
		</div>
	<?php else : ?>

		<h2>Not Found</h2>
		<p><?php _e("Sorry, but you are looking for something that isn't here, or my website is jacked up."); ?></p>

	<?php endif; ?>