<?php /*
Template Name: Tag Archive
This is an example tag archive page.  If you add this to your theme,  and create a page using the "Tag Archive" template (it'll be there in the list)
you'll get a tag cloud displaying on a page.

You might need to tinker with the header/sidebar/footer to match your theme!
*/ ?>

<?php get_header(); ?>


<div id="main">
<?php get_sidebar(); ?>

<div id="content">
	<div class="entry">
		<h2>Tag Archives</h2>
		<p>Here are the weighted tags for <?php bloginfo('name'); ?>. Here you can see how I've tagged all of my entries and how they are linked together.</p>
		<p>These tags are listed in weighted/alphabetical order.</p>
		<?php UTW_ShowWeightedTagSetAlphabetical("coloredsizedtagcloud","",0) ?>
	</div>
</div>
</div>
<?php get_footer(); ?>