<?php /*
Template Name: Tag Pages
*/ ?>
<?php get_header(); ?>

	<div id="main">
<?php get_sidebar(); ?>


<div id="content">
	<h2>Tag: <?php UTW_ShowCurrentTagSet('tagsetcommalist') ?></h2>

	<?php if (have_posts()) : ?>
		<?php while (have_posts()) : the_post(); ?>
		<div class="entry" id="post-<?php the_ID(); ?>">
			<div class="date"><p><span class="month"><?php the_time('M') ?></span><span class="day"><?php the_time('j') ?></span></p></div>
<h2 class="posttitle"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a><?php edit_post_link('<img src="'.get_bloginfo(template_directory).'/images/pencil.gif" alt="Edit Link" />','<span class="editlink" title="Edit Link">','</span>'); ?></h2>

			<div class="tags">Tagged with: <?php UTW_ShowTagsForCurrentPost("commalist", array('last'=>' and %taglink%', 'first'=>' %taglink%')) ?>.
			</div>
			<div class="post_comment">
				<?php comments_popup_link('0&nbsp;Responses', '1&nbsp;Response', '%&nbsp;Responses', 'commentslink', 'Closed'); ?>
			</div>
			<div class="entry">
				<?php the_content('Read the rest of this entry &raquo;'); ?>
			</div>


		</div>


		<?php endwhile; ?>

	<?php else : ?>

		<h2 class="center">Not Found</h2>
		<p class="center">Sorry, but you are looking for something that isn't here.</p>
		<?php include (TEMPLATEPATH . "/searchform.php"); ?>

	<?php endif; ?>

	</div>
</div>
<?php get_footer(); ?>